/* $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Service/LtcsIifPythonWrapper.cc 375 2018-01-11 11:46:56Z depa $
*/

#include <boost/python.hpp>
#include <Basda/Python/SmartPointerWrapper.hh>
#include <LtcsIifServiceWorker.h>


namespace Ltcs
{
    namespace Python
    {
        extern void export_LtcsIif();

        BOOST_PYTHON_MODULE(LtcsIifInterface)
        {
            export_LtcsIif();

            class_<Ltcs::IifServiceWorker, Ltcs::IifServiceWorkerPtr, boost::noncopyable>("Extension", no_init)
                .def("stop", &Ltcs::IifServiceWorker::stop)
            ;

        }

    }
}
